#include "app_ip_address.h"
#include "ui_manager.h"

uint32_t app_ip_address_handle_event(keyValue kval)
{

    switch (kval)
    {
    case KEY_DATA_LEFT:
        ui_manager_comp_ip_address_handle_left();
        break;
    case KEY_DATA_RIGHT:
        ui_manager_comp_ip_address_handle_right();
        break;
    case KEY_DATA_UP:
        ui_manager_comp_ip_address_handle_up();
        break;
    case KEY_DATA_DOWN:
        ui_manager_comp_ip_address_handle_down();
        break;
    case KEY_DATA_BACK:
    case KEY_DATA_CANCEL:
        
        break;
    case KEY_DATA_ENTER:
        ui_manager_comp_ip_address_handle_enter();
        return ui_comp_ip_address_get_result();   
        break;                
    default:
        break;
    }

    return 0;
}